[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gnash-commit
Subject:    [Gnash-commit] gnash ChangeLog gui/Makefile.am gui/gnash.in
From:       Sandro Santilli <strk () keybit ! net>
Date:       2007-07-31 19:42:37
Message-ID: E1IFxc5-0000Pg-BR () cvs ! savannah ! gnu ! org
[Download RAW message or body]

CVSROOT:	/sources/gnash
Module name:	gnash
Changes by:	Sandro Santilli <strk>	07/07/31 19:42:37

Modified files:
	.              : ChangeLog 
	gui            : Makefile.am 
Added files:
	gui            : gnash.in 

Log message:
	        * gui/: Makefile.am, gnash.in:
	          Initial draft of a 'gnash' wrapper.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/gnash/ChangeLog?cvsroot=gnash&r1=1.3887&r2=1.3888
http://cvs.savannah.gnu.org/viewcvs/gnash/gui/Makefile.am?cvsroot=gnash&r1=1.96&r2=1.97
http://cvs.savannah.gnu.org/viewcvs/gnash/gui/gnash.in?cvsroot=gnash&rev=1.1

Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/gnash/gnash/ChangeLog,v
retrieving revision 1.3887
retrieving revision 1.3888
diff -u -b -r1.3887 -r1.3888
--- ChangeLog	31 Jul 2007 19:29:42 -0000	1.3887
+++ ChangeLog	31 Jul 2007 19:42:36 -0000	1.3888
@@ -1,5 +1,10 @@
 2007-07-31 Sandro Santilli <strk@keybit.net>
 
+	* gui/: Makefile.am, gnash.in:
+	  Initial draft of a 'gnash' wrapper.
+
+2007-07-31 Sandro Santilli <strk@keybit.net>
+
 	* configure.ac: rename GUI_CONFIG to SUPPORTED_GUIS to
 	  avoid confusion with the define later set by gui/Makefile.am
 	* gui/Makefile.am: build an executable for each supported

Index: gui/Makefile.am
===================================================================
RCS file: /sources/gnash/gnash/gui/Makefile.am,v
retrieving revision 1.96
retrieving revision 1.97
diff -u -b -r1.96 -r1.97
--- gui/Makefile.am	31 Jul 2007 19:29:42 -0000	1.96
+++ gui/Makefile.am	31 Jul 2007 19:42:36 -0000	1.97
@@ -163,8 +163,13 @@
 #dist_images_DATA = images/gnash_G_v3.ico
 imagesdir = $(pkgdatadir)
 
+bin_SCRIPTS = gnash
 bin_PROGRAMS = 
 
+gnash: gnash.in
+	cp $< $@
+	chmod +x $@
+
 GUI_SRCS = gnash.cpp \
 	gui.cpp gui.h \
 	Player.cpp Player.h \

Index: gui/gnash.in
===================================================================
RCS file: gui/gnash.in
diff -N gui/gnash.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gui/gnash.in	31 Jul 2007 19:42:36 -0000	1.1
@@ -0,0 +1,49 @@
+# gnash:  Wrapper script for running the different GUI versions of gnash 
+# 
+#   Copyright (C) 2005, 2006, 2007 Free Software Foundation, Inc.
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+
+
+#
+# TODO:
+#	Handle --version on your own (or GUI config reported would be the one of the default executable)
+#
+
+
+
+#!/bin/sh
+
+GUIS="gtk kde sdl fltk aqua riscos fb"
+THIS_DIR="`dirname $0`"
+
+if test "$1" = "-G"; then
+	gui="$2"
+	if ! test -e ${THIS_DIR}/${gui}-gnash; then
+		echo "Can't find ${gui}-gnash." >&2
+		exit 1
+	fi
+fi
+
+for gui in ${gui} ${GUIS}; do
+	exe=${THIS_DIR}/${gui}-gnash
+	if test -x ${exe}; then
+		exec ${exe} $*
+	fi
+done
+
+echo "Could not find any <gui>-gnash executable under directory ${THIS_DIR}, with <gui> in $GUI_DIR" >&2
+exit 1



[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic